--- old/usr/src/uts/sun4u/mpxu/Makefile.targ.shared	2013-11-10 09:06:22.795843638 -0500
+++ /dev/null	2013-11-10 09:00:48.000000000 -0500
@@ -1,95 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
-#
-
-#
-#	Common targets for sun4u MPXU implementation specific modules.
-#
-
-.KEEP_STATE:
-
-#
-# Rules for implementation subdirectories.
-#
-$(ROOT_MPXU_DIR): $(ROOT_PLAT_DIR)
-	-$(INS.dir)
-
-$(ROOT_MPXU_MOD_DIR): $(ROOT_MPXU_DIR)
-	-$(INS.dir)
-
-$(ROOT_MPXU_DRV_DIR_32): $(ROOT_MPXU_MOD_DIR)
-	-$(INS.dir)
-
-$(ROOT_MPXU_DRV_DIR_64): $(ROOT_MPXU_DRV_DIR_32)
-	-$(INS.dir)
-
-$(ROOT_MPXU_MISC_DIR_32): $(ROOT_MPXU_MOD_DIR)
-	-$(INS.dir)
-
-$(ROOT_MPXU_MISC_DIR_64): $(ROOT_MPXU_MISC_DIR_32)
-	-$(INS.dir)
-
-$(ROOT_MPXU_CRYPTO_DIR_32): $(ROOT_MPXU_MOD_DIR)
-	-$(INS.dir)
-
-$(ROOT_MPXU_CRYPTO_DIR_64): $(ROOT_MPXU_CRYPTO_DIR_32)
-	-$(INS.dir)
-
-$(USR_MPXU_DIR): $(USR_PLAT_DIR)
-	-$(INS.dir)
-
-$(USR_MPXU_INC_DIR): $(USR_MPXU_DIR)
-	$(INS.slink4)
-
-$(USR_MPXU_ISYS_DIR): $(USR_MPXU_INC_DIR)
-	$(INS.dir)
-
-$(USR_MPXU_SBIN_DIR): $(USR_MPXU_DIR)
-	$(INS.dir)
-
-$(USR_MPXU_SBIN_PRTDIAG): $(USR_MPXU_SBIN_DIR)
-	$(RM) -r $@; $(SYMLINK) ../../$(PLATFORM)/sbin/prtdiag $@
-
-$(USR_MPXU_SBIN_FRUADM): $(USR_MPXU_SBIN_DIR)
-	$(RM) -r $@; $(SYMLINK) ../../$(PLATFORM)/sbin/fruadm $@
-
-$(LINKED_PLATFORMS:%=$(ROOT_PLAT_DIR)/%): $(ROOT_PLAT_DIR)
-	$(INS.slink3)
-
-$(LINKED_PLATFORMS:%=$(USR_PLAT_DIR)/%): $(USR_PLAT_DIR)
-	$(INS.slink3)
-
-$(USR_MPXU_LIB_DIR): $(USR_MPXU_DIR)
-	-$(INS.dir)
-
-$(ROOT_MPXU_MISC_DIR)/%: $(OBJS_DIR)/% $(ROOT_MPXU_MISC_DIR)
-	$(INS.file)
-
-$(ROOT_MPXU_DRV_DIR)/%: $(OBJS_DIR)/% $(ROOT_MPXU_DRV_DIR) FRC
-	$(INS.file)
-
-#
-#	Include common targets.
-#
-include $(UTSTREE)/sun4u/mpxu/Makefile.rules
-include $(UTSTREE)/sun4u/Makefile.targ
--- /dev/null	2013-11-10 09:00:48.000000000 -0500
+++ new/usr/src/uts/sun4u/mpxu/Makefile.targ	2013-11-10 09:06:22.801406164 -0500
@@ -0,0 +1,95 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
+#
+
+#
+#	Common targets for sun4u MPXU implementation specific modules.
+#
+
+.KEEP_STATE:
+
+#
+# Rules for implementation subdirectories.
+#
+$(ROOT_MPXU_DIR): $(ROOT_PLAT_DIR)
+	-$(INS.dir)
+
+$(ROOT_MPXU_MOD_DIR): $(ROOT_MPXU_DIR)
+	-$(INS.dir)
+
+$(ROOT_MPXU_DRV_DIR_32): $(ROOT_MPXU_MOD_DIR)
+	-$(INS.dir)
+
+$(ROOT_MPXU_DRV_DIR_64): $(ROOT_MPXU_DRV_DIR_32)
+	-$(INS.dir)
+
+$(ROOT_MPXU_MISC_DIR_32): $(ROOT_MPXU_MOD_DIR)
+	-$(INS.dir)
+
+$(ROOT_MPXU_MISC_DIR_64): $(ROOT_MPXU_MISC_DIR_32)
+	-$(INS.dir)
+
+$(ROOT_MPXU_CRYPTO_DIR_32): $(ROOT_MPXU_MOD_DIR)
+	-$(INS.dir)
+
+$(ROOT_MPXU_CRYPTO_DIR_64): $(ROOT_MPXU_CRYPTO_DIR_32)
+	-$(INS.dir)
+
+$(USR_MPXU_DIR): $(USR_PLAT_DIR)
+	-$(INS.dir)
+
+$(USR_MPXU_INC_DIR): $(USR_MPXU_DIR)
+	$(INS.slink4)
+
+$(USR_MPXU_ISYS_DIR): $(USR_MPXU_INC_DIR)
+	$(INS.dir)
+
+$(USR_MPXU_SBIN_DIR): $(USR_MPXU_DIR)
+	$(INS.dir)
+
+$(USR_MPXU_SBIN_PRTDIAG): $(USR_MPXU_SBIN_DIR)
+	$(RM) -r $@; $(SYMLINK) ../../$(PLATFORM)/sbin/prtdiag $@
+
+$(USR_MPXU_SBIN_FRUADM): $(USR_MPXU_SBIN_DIR)
+	$(RM) -r $@; $(SYMLINK) ../../$(PLATFORM)/sbin/fruadm $@
+
+$(LINKED_PLATFORMS:%=$(ROOT_PLAT_DIR)/%): $(ROOT_PLAT_DIR)
+	$(INS.slink3)
+
+$(LINKED_PLATFORMS:%=$(USR_PLAT_DIR)/%): $(USR_PLAT_DIR)
+	$(INS.slink3)
+
+$(USR_MPXU_LIB_DIR): $(USR_MPXU_DIR)
+	-$(INS.dir)
+
+$(ROOT_MPXU_MISC_DIR)/%: $(OBJS_DIR)/% $(ROOT_MPXU_MISC_DIR)
+	$(INS.file)
+
+$(ROOT_MPXU_DRV_DIR)/%: $(OBJS_DIR)/% $(ROOT_MPXU_DRV_DIR) FRC
+	$(INS.file)
+
+#
+#	Include common targets.
+#
+include $(UTSBASE)/sun4u/mpxu/Makefile.rules
+include $(UTSBASE)/sun4u/Makefile.targ
